Customers
Retrieve Customer
Retrieves customer details using the customer’s unique Yuno identifier
GET
/
customers
/
{customer_id}
Retrieve Customer
curl --request GET \
--url https://api-sandbox.y.uno/v1/customers/{customer_id} \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/customers/{customer_id}"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "94121f98-98f7-4d57-aa5f-228401d35b12",
"merchant_customer_id": "1744402154",
"first_name": "John",
"last_name": "Doe",
"gender": "F",
"date_of_birth": "1990-02-28",
"email": "john.doe@gmail.com",
"nationality": "CO",
"country": "CO",
"document": {
"document_type": "CC",
"document_number": "1010268952"
},
"phone": {
"number": "3132450765",
"country_code": "57"
},
"billing_address": {
"address_line_1": "Calle 34 # 56 - 78",
"address_line_2": "Apartamento 502, Torre I",
"country": "CO",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "111111",
"neighborhood": "Test"
},
"shipping_address": {
"address_line_1": "Calle 34 # 56 - 78",
"address_line_2": "Apartamento 502, Torre I",
"country": "CO",
"state": "Cundinamarca",
"city": "Bogotá",
"zip_code": "111111",
"neighborhood": "Test"
},
"metadata": [
{
"key": "ID",
"value": "1234"
}
],
"created_at": "2025-04-11T20:09:14.927971Z",
"updated_at": "2025-04-11T20:09:14.927972Z",
"merchant_customer_created_at": "2023-08-05T14:43:58.980718Z"
}{
"code": "CUSTOMER_NOT_FOUND",
"messages": [
"Customer not found."
]
}{
"code": "INVALID_CREDENTIALS",
"messages": [
"Invalid Credentials"
]
}{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API"
]
}{
"code": "NOT_FOUND",
"messages": [
"Not Found"
]
}This request enables you to retrieve details of customers based on their
id, which needs to be provided in the request path.Authorizations
Path Parameters
Response
200
Example:
"94121f98-98f7-4d57-aa5f-228401d35b12"
Example:
"1744402154"
Example:
"John"
Example:
"Doe"
Example:
"F"
Example:
"1990-02-28"
Example:
"john.doe@gmail.com"
Example:
"CO"
Example:
"CO"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-04-11T20:09:14.927971Z"
Example:
"2025-04-11T20:09:14.927972Z"
Example:
"2023-08-05T14:43:58.980718Z"
Was this page helpful?
Previous
Retrieve Customer by External IDRetrieves customer details using the merchant assigned external customer identifier
Next
⌘I
Retrieve Customer
